## sparrow-wifi 0.0~git20251030

=== requirements.txt ===
QScintilla
PyQtChart
gps3
dronekit
manuf
python-dateutil
numpy
matplotlib
requests

## sparrow-wifi 0.0~git20230403

=== debian/changelog ===
sparrow-wifi (0.0~git20230403-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 08 Sep 2023 17:21:02 +0200

sparrow-wifi (0.0~git20230403-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.6.1, no changes needed.
  * Set upstream metadata fields: Repository-Browse.
  * Set upstream metadata fields: Repository.
  * Update standards version to 4.6.2, no changes needed.

  [ Steev Klimaszewski ]
  * New upstream version 0.0~git20230403
  * Remove unneeded patch
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Fri, 05 May 2023 19:42:46 -0500

sparrow-wifi (0.0~git20220114-0kali3) kali-dev; urgency=medium

  * Fix issue with plugin falcon (https://bugs.kali.org/view.php?id=7736)

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 20 Jun 2022 11:53:49 +0200

sparrow-wifi (0.0~git20220114-0kali2) kali-dev; urgency=medium

  * Improve helper-scripts
  * Add superficial autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 25 Mar 2022 10:03:10 +0100

sparrow-wifi (0.0~git20220114-0kali1) kali-dev; urgency=medium

  * Initial release (see 6871)

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 23 Feb 2022 11:57:25 +0100

=== debian/control ===
Source: sparrow-wifi
Section: net
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools
Standards-Version: 4.6.2
Homepage: https://github.com/ghostop14/sparrow-wifi
Rules-Requires-Root: no

Package: sparrow-wifi
Architecture: all
Depends: gpsd,
         gpsd-clients,
         python3-dateutil,
         python3-dronekit,
         python3-gps3,
         python3-manuf,
         python3-matplotlib,
         python3-numpy,
	 python3-pyqt5.qsci,
         python3-pyqt5.qtchart,
         python3-requests,
         python3-tk,
         usbutils,
         wireless-tools,
         ${misc:Depends},
         ${python3:Depends}
Recommends: aircrack-ng, john (>= 1.9.0-Jumbo-1+git20211102-0kali2)
Description: Graphical Wi-Fi Analyzer for Linux
 This package contains a gaphical Wi-Fi analyser for Linux. It provides a more
 comprehensive GUI-based replacement for tools like inSSIDer and linssid that
 runs specifically on Linux. In its most comprehensive use cases, sparrow-wifi
 integrates Wi-Fi, software-defined radio (hackrf), advanced bluetooth tools
 (traditional and Ubertooth), traditional GPS (via gpsd), and drone/rover GPS
 via mavlink in one solution.

## sparrow-wifi 0.0~git20240725

=== debian/changelog ===
sparrow-wifi (0.0~git20240725-0kali1) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * New upstream version 0.0~git20230403

  [ Daniel Ruiz de Alegría ]
  * New upstream version 0.0~git20240725
  * Refresh patches
  * Bump Standards-Version

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 18 Sep 2024 14:06:11 +0200

sparrow-wifi (0.0~git20230403-0kali3) kali-dev; urgency=medium

  * Fix description

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 12 Aug 2024 13:52:53 +0200

sparrow-wifi (0.0~git20230403-0kali2) kali-dev; urgency=medium

  * Fix Python 3.12 Syntax Warnings (use raw strings)

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 25 Jul 2024 15:44:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: sparrow-wifi
 Section: net
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/ghostop14/sparrow-wifi
+Vcs-Browser: https://gitlab.com/kalilinux/packages/sparrow-wifi
+Vcs-Git: https://gitlab.com/kalilinux/packages/sparrow-wifi.git
 Rules-Requires-Root: no
 
 Package: sparrow-wifi
@@ -31,7 +33,7 @@
          ${python3:Depends}
 Recommends: aircrack-ng, john (>= 1.9.0-Jumbo-1+git20211102-0kali2)
 Description: Graphical Wi-Fi Analyzer for Linux
- This package contains a gaphical Wi-Fi analyser for Linux. It provides a more
+ This package contains a graphical Wi-Fi analyzer for Linux. It provides a more
  comprehensive GUI-based replacement for tools like inSSIDer and linssid that
  runs specifically on Linux. In its most comprehensive use cases, sparrow-wifi
  integrates Wi-Fi, software-defined radio (hackrf), advanced bluetooth tools

=== debian/tests/control ===
Test-Command: sparrowwifiagent -h
Restrictions: superficial, needs-root

=== debian/watch ===
version=4
opts="mode=git, pretty=0.0~git%cd, pgpmode=none" \
   https://github.com/ghostop14/sparrow-wifi.git \
   HEAD debian uupdate

## sparrow-wifi 0.0~git20251030

=== debian/changelog ===
sparrow-wifi (0.0~git20251030-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control

  [ Daniel Ruiz de Alegría ]
  * New upstream version 0.0~git20251030
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 10 Nov 2025 08:17:09 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,9 @@
 Section: net
 Priority: optional
 Maintainer: Kali Developers <devel@kali.org>
-Uploaders: Sophie Brun <sophie@offensive-security.com>
+Uploaders:
+ Sophie Brun <sophie@offensive-security.com>,
+ Daniel Ruiz de Alegría <daniruiz@kali.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
@@ -11,7 +13,6 @@
 Homepage: https://github.com/ghostop14/sparrow-wifi
 Vcs-Browser: https://gitlab.com/kalilinux/packages/sparrow-wifi
 Vcs-Git: https://gitlab.com/kalilinux/packages/sparrow-wifi.git
-Rules-Requires-Root: no
 
 Package: sparrow-wifi
 Architecture: all

## sparrow-wifi 0.0~git20251201

=== debian/changelog ===
sparrow-wifi (0.0~git20251201-0kali1) kali-dev; urgency=medium

  * New upstream version 0.0~git20251201

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 08 Dec 2025 11:25:55 +0100

## sparrow-wifi 0.0~git20251208

=== controller/requirements.txt ===
fastapi==0.110.0
uvicorn==0.27.0.post1
SQLAlchemy==2.0.25
httpx==0.26.0
pydantic==2.6.1
pydantic-settings==2.1.0
python-dotenv==1.0.1
websockets==12.0

=== debian/changelog ===
sparrow-wifi (0.0~git20251208-0kali1) kali-dev; urgency=medium

  * New upstream version 0.0~git20251208

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 07 Jan 2026 11:58:07 +0100

=== debian/watch ===
Version: 5

Source: https://github.com/ghostop14/sparrow-wifi.git
Matching-Pattern: HEAD
Mode: git
Pgpmode: none
Git-Pretty: 0.0~git%cd

## sparrow-wifi 0.0~git20260224

=== debian/changelog ===
sparrow-wifi (0.0~git20260224-0kali1) kali-dev; urgency=medium

  * New upstream version 0.0~git20260224
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 27 Feb 2026 09:40:30 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                dh-python,
                python3-all,
                python3-setuptools
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/ghostop14/sparrow-wifi
 Vcs-Browser: https://gitlab.com/kalilinux/packages/sparrow-wifi
 Vcs-Git: https://gitlab.com/kalilinux/packages/sparrow-wifi.git
